Bug Hunting Session
Bug 89664 - Impress should startup with slide template selector
Summary: Impress should startup with slide template selector
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Akshay Deep
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Templates Impress-UX
  Show dependency treegraph
 
Reported: 2015-02-25 21:21 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-13 12:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
template gallery in iwork (1.23 MB, image/png)
2015-02-25 21:24 UTC, Yousuf Philips (jay) (retired)
Details
template gallery in google slides (151.49 KB, image/png)
2015-02-25 21:28 UTC, Yousuf Philips (jay) (retired)
Details
tempalte gallery in calligra (110.92 KB, image/png)
2015-02-25 21:30 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-02-25 21:21:34 UTC
When Impress starts up, the first thing a user should see is a dialog with presentation templates in it which they will pick from. It is preferable that a user doesnt have to open Impress up to then have to go and select a master slide to use for their presentation, as master slides are not an easy concept for casual users.

This is the norm across all presentation applications and they also have a view separator between normal 4:3 and widescreen 16:9 templates.
Comment 1 Yousuf Philips (jay) (retired) 2015-02-25 21:24:25 UTC
Created attachment 113686 [details]
template gallery in iwork
Comment 2 Yousuf Philips (jay) (retired) 2015-02-25 21:28:01 UTC
Created attachment 113687 [details]
template gallery in google slides
Comment 3 Yousuf Philips (jay) (retired) 2015-02-25 21:30:59 UTC
Created attachment 113688 [details]
tempalte gallery in calligra
Comment 4 Robinson Tryon (qubit) 2015-02-25 21:37:44 UTC
ux-advise -> NEW
Comment 5 Cor Nouws 2015-02-25 22:02:02 UTC
You realize that one of the early changes of LibreOffice to get the Wizard mute on the startup ;)
  https://wiki.documentfoundation.org/ReleaseNotes/3.5#Impress_.2F_Draw
Of course I see that this proposal is different, but its a nice coincidence ;)
Comment 6 Yousuf Philips (jay) (retired) 2015-02-26 01:39:30 UTC
Yes i'm aware of the wizard which was quite bad. :D
Comment 7 Jean-Baptiste Faure 2015-02-26 12:26:20 UTC
(In reply to Jay Philips from comment #6)
> Yes i'm aware of the wizard which was quite bad. :D

Why? Please explain.

From my point of view, it is not the wizard which is bad, it is to always start Impress from a wizard which is bad. There is enough room in the startcenter and in the menu File > New to add an entry like "Start Impress from the Wizard".

We need something that can disabled and easily adapted to private use (photos album function could be added to the wizard) and professional use. In the case of professional use, you have to choose between a few number of templates that follow the graphical chart of the company. Template galleries from Iwork, Google Slides and Calligra, seems to me counterproductive in a professional framework.

Best regards. JBF
Comment 8 Yousuf Philips (jay) (retired) 2015-02-26 23:07:48 UTC
(In reply to Jean-Baptiste Faure from comment #7)
> From my point of view, it is not the wizard which is bad, it is to always
> start Impress from a wizard which is bad. There is enough room in the
> startcenter and in the menu File > New to add an entry like "Start Impress
> from the Wizard".

Yes the primary thing was that it loaded every time and all i wanted was a blank slide because all the templates were quite bad anyway. I believe that if an application is simple, then you wouldnt need a wizard to assist you with creating something in it, which creating a template should be.

> We need something that can disabled and easily adapted to private use
> (photos album function could be added to the wizard) and professional use.
> In the case of professional use, you have to choose between a few number of
> templates that follow the graphical chart of the company. Template galleries
> from Iwork, Google Slides and Calligra, seems to me counterproductive in a
> professional framework.

As it would be important to be able to disable the template gallery for those not interesting in seeing it and having a checkbox for 'Start with Template Gallery' in Tools > Options > Impress > General > New Document. In the professional use, the user would have the few number of company templates in their templates folder, so they would be shown in the template gallery as well. The template galleries from the other apps were to illustrate how the template gallery was being presented to a user.
Comment 9 Akshay Deep 2016-06-01 23:23:39 UTC
Resolved here: https://gerrit.libreoffice.org/#/c/25642/
Comment 10 Cor Nouws 2016-06-02 07:19:38 UTC
Was it needed to remove the Wizard?
As Jean-Baptiste explains (comment 7) there is some use for it. And when its not turned on by default, just available, then why remove?
Comment 11 Yousuf Philips (jay) (retired) 2016-06-02 11:06:08 UTC
Akshay: I havent tested the implementation, but am curious if there is an easy means of disabling the dialog from appearing at startup within the dialog as well as within the options dialog?